package com.example.fieldagent.data.models.responses

import com.google.gson.annotations.SerializedName
import java.io.Serializable

data class UserData (
    val status: Long? = null,
    val success: Boolean? = null,
    val message: String? = null,
    val data: Data? = null
)

data class Data (
    val id: Long? = null,
    val name: String? = null,
    val email: String? = null,

    @SerializedName("phone_number")
    val phoneNumber: String? = null,
    val designation: String? = null,
    val createdAt: String? = null,
    val updatedAt: String? = null,
    val tokens: Tokens? = null
)

data class Tokens (
    val accessToken: String? = null,
    val refreshToken: String? = null
)
